## scavenger 1.4.5-0maemo3

=== Makefile ===
CC	= gcc
###CFLAGS	= -Wall -O2 -I/usr/local/include/SDL -I/usr/include/SDL -D_REENTRANT
CFLAGS	= -O2 `sdl-config --cflags`

scavenger:	scav.o gfx.o sound.o edit.o anim.o
###	gcc -o sdlscav scav.o gfx.o sound.o edit.o anim.o -lSDL -ldl -lpthread
	gcc -o scavenger scav.o gfx.o sound.o edit.o anim.o `sdl-config --libs`

PREFIX:=/opt/maemo/usr
DATADIR=$(DESTDIR)$(PREFIX)/share/scavenger
BINDIR=$(DESTDIR)$(PREFIX)/bin

scav.o: scav.c scav.h names.h edit.h anim.h gfx.h sound.h

gfx.o:	gfx.c  scav.h

sound.o:	sound.c

edit.o:	edit.c scav.h edit.h gfx.h

anim.o:	anim.c scav.h anim.h gfx.h

clean:
	rm -f *.o scavenger *~
install:
	install -m 0755 -d $(DATADIR)/.scavenger
	install -m 0644 data/*rc $(DATADIR)/.scavenger/
# The previous need to be moved to the user directory after installation
	install -m 0755 -d $(BINDIR)/
	install -m 0755 -d $(DATADIR)/
	install -m 0644 data/*.lbm $(DATADIR)/
	install -m 0644 data/*.raw $(DATADIR)/
	install -m 0644 data/*.scl $(DATADIR)/
	install -m 0755 scavenger $(BINDIR)/

## scavenger 1.4.5-0maemo1

=== debian/changelog ===
scavenger (1.4.5-0maemo1) unstable; urgency=low

  * Initial maemofication of sdlscavenger.

 -- Flandry <davidfalkayn@gmail.com>  Tue, 30 Mar 2010 18:13:06 -0400

xscavenger (1.4.4-7) unstable; urgency=low

  * Add xutils-dev to Build-Depends (Closes: #485724)
  * Add libxext-dev to Build-Depends (Closes: #486977)
  * Update to policy version 3.8.0.1.
  * Add year to copyright file (based on upstream website info).

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Mon, 23 Jun 2008 11:27:06 -0700

xscavenger (1.4.4-6) unstable; urgency=low

  * Fix FTBFS (Closes: #474882)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Mon, 07 Apr 2008 15:05:38 -0700

xscavenger (1.4.4-5) unstable; urgency=low

  * debian/rules: Don't strip binaries if DEB_BUILD_OPTIONS contains
    'nostrip' (Closes: #438329)
  * Suppress compiler pointer signedness warnings.
  * Update to Standards-Version: 3.7.2
  * Update to latest menu policy.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sat, 15 Sep 2007 09:22:52 -0700

xscavenger (1.4.4-4) unstable; urgency=low

  * Fix Build-Depends: to list explicit libraries rather than xlibs-dev
    (Closes: #346859)
     - Also, removed spurious Build-Depends on libxaw7-dev.
  * Acknowledge NMU (Closes: #336867)
  * Updated to Standards-Version: 3.6.2.2.
  * debian/xscavenger.menuentry: fix unquoted string.
  * debian/copyright: update FSF address.
  * debian/rules:
     - Install menu entry in /usr/share/menu, not /usr/lib/menu.
     - Install pixmaps to /usr/share/pixmaps, not /usr/X11R6/.../pixmaps

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Wed, 11 Jan 2006 11:10:47 -0800

xscavenger (1.4.4-3.1) unstable; urgency=low

  * NMU with maintainer permission.
  * Added support for GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  8 Nov 2005 19:43:44 +0100

xscavenger (1.4.4-3) unstable; urgency=low

  * Apply file descriptor leak patch (Closes: #175128)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Wed,  3 Sep 2003 12:41:51 -0400

xscavenger (1.4.4-2) unstable; urgency=low

  * Fix handling of long int's, which was broken for architectures
    where sizeof(long)>4. (This probably also meant that xscavenger
    never actually worked on all such architectures...) Thanks to
    Steve Langasek for helping me with tracking down and fixing this
    bug on alpha. (Closes: #56139)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sat, 14 Dec 2002 16:58:09 -0500

xscavenger (1.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/Imakefile.debian: added additional data files shipped with
    upstream, which were missing from previous Debian packages.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Mon,  2 Dec 2002 21:27:31 -0500

xscavenger (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #113123)
  * New maintainer, with blessings from previous maintainer.
  * debian/control: update Build-Depends (Closes: #170195)
  * Fixed soundserver to check for EOF or EPIPE when sound device was not
    opened. (Closes: #149228)
  * Create a bitmap icon for use when the WM doesn't use the pixmap.
    Ideally, scavenger should create an icon window, and then we can reuse
    the nice icon that is already being shipped; but that's a bit more work
    and X clients *should* have a bitmap fallback anyway. (Closes: #74835)
  * Update to Standards-Version: 3.5.8.0
  * debian/postinst: no longer need to create symlink in /usr/doc.
  * debian/changelog: remove obsolete add-log-mailing-address.
  * debian/rules: added -R options to strip, to remove .note and .comment
    sections.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Wed, 27 Nov 2002 07:50:29 -0500

xscavenger (1.4.2-1) unstable; urgency=low

  * New upstream version.
  * Strip binary.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 19 May 2001 02:05:28 +0200

xscavenger (1.4.0-2) unstable; urgency=low

  * Avoid brace expansion in debian/rules, closes: Bug#81336
  * Add Build-Depends, closes: Bug#82014
  * This is the new upstream version, closes: Bug#81676
  * Complies to current policy since 1.4.0-1, closes: Bug#74836

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri, 12 Jan 2001 20:18:20 +0100

xscavenger (1.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  4 Jan 2001 21:56:21 +0100

xscavenger (1.3.7-1) unstable; urgency=low

  * New upstream version, new animation.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  2 Jul 1999 18:55:53 +0200

xscavenger (1.3.6-1) unstable; urgency=low

  * New upstream version, bug fixes only.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  5 Oct 1998 01:13:21 +0200

xscavenger (1.3.5-1) unstable; urgency=low

  * New upstream version, bug fixes only.
    + Soundserv reacts gracefully if /dev/dsp is not accessible.

 -- Marcus Brinkmann <brinkmd@debian.org>  Wed, 10 Jun 1998 00:26:27 +0200

xscavenger (1.3.4-1) frozen unstable; urgency=low

  * New upstream version, bug fixes only.
    + No core dump when sound not available.
    + Checks disk capacity before writing level file.
    + Don't corrupt level file when writing better score (fixes #22628)

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Sun, 24 May 1998 17:38:27 +0200

xscavenger (1.3.2-3) frozen unstable; urgency=low

  * Home Page changed (fixes bug report 20085).
  * Added an icon to the menu entry.

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Mon, 23 Mar 1998 04:13:29 +0100

xscavenger (1.3.2-2) unstable; urgency=low

  * Changed description (fixes bug report 18994).

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Sun, 25 Feb 1998 10:02:42 +0100

xscavenger (1.3.2-1) unstable; urgency=low

  * New upstream version. Fixes bug no-one has detected yet ;)
    Now the editor works in all color depths.

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Sun, 25 Feb 1998 10:02:42 +0100

xscavenger (1.3.1-3) unstable; urgency=low

  * Fixed name of manpage - scavenger.6 becomes xscavenger.6
  * Fixed copyright file - new adress of FSF.


=== debian/control ===
Source: scavenger
Section: user/games
Priority: optional
Maintainer: Flandry <davidfalkayn@gmail.com>
Standards-Version: 3.8.0.1
Build-Depends: libsdl1.2-dev, libsdl-image1.2-dev, libglib2.0-dev, libsdl-mixer1.2-dev

Package: scavenger
Section: user/games
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Provides: loderunner
Description: A loderunner-like platform game
 Scavenger is like Lode Runner. You've got to run around gathering objects
 while avoiding enemies. You can dig down through some of the blocks to get
 at buried objects. After you've collected everything, ladders may appear.
 To finish the level you've got to exit through the top of the screen. If
 an enemy falls into a dug brick, he is stunned for a while. If the brick
 fills in with him in it, he is killed, and he will reappear at the top of
 the screen.
 .
 This version has a level editor for designing your own levels, and a
 graphics editor for drawing your own artwork.
XB-Maemo-Display-Name: Scavenger
XSBC-Bugtracker: 
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAADAFBMVEUAAAAA
 ADMAAGYAAJkAAMwAAP8AMwAAMzMAM2YAM5kAM8wAM/8AZgAAZjMAZmYAZpkA
 ZswAZv8AmQAAmTMAmWYAmZkAmcwAmf8AzAAAzDMAzGYAzJkAzMwAzP8A/wAA
 /zMA/2YA/5kA/8wA//8zAAAzADMzAGYzAJkzAMwzAP8zMwAzMzMzM2YzM5kz
 M8wzM/8zZgAzZjMzZmYzZpkzZswzZv8zmQAzmTMzmWYzmZkzmcwzmf8zzAAz
 zDMzzGYzzJkzzMwzzP8z/wAz/zMz/2Yz/5kz/8wz//9mAABmADNmAGZmAJlm
 AMxmAP9mMwBmMzNmM2ZmM5lmM8xmM/9mZgBmZjNmZmZmZplmZsxmZv9mmQBm
 mTNmmWZmmZlmmcxmmf9mzABmzDNmzGZmzJlmzMxmzP9m/wBm/zNm/2Zm/5lm
 /8xm//+ZAACZADOZAGaZAJmZAMyZAP+ZMwCZMzOZM2aZM5mZM8yZM/+ZZgCZ
 ZjOZZmaZZpmZZsyZZv+ZmQCZmTOZmWaZmZmZmcyZmf+ZzACZzDOZzGaZzJmZ
 zMyZzP+Z/wCZ/zOZ/2aZ/5mZ/8yZ///MAADMADPMAGbMAJnMAMzMAP/MMwDM
 MzPMM2bMM5nMM8zMM//MZgDMZjPMZmbMZpnMZszMZv/MmQDMmTPMmWbMmZnM
 mczMmf/MzADMzDPMzGbMzJnMzMzMzP/M/wDM/zPM/2bM/5nM/8zM////AAD/
 ADP/AGb/AJn/AMz/AP//MwD/MzP/M2b/M5n/M8z/M///ZgD/ZjP/Zmb/Zpn/
 Zsz/Zv//mQD/mTP/mWb/mZn/mcz/mf//zAD/zDP/zGb/zJn/zMz/zP///wD/
 /zP//2b//5n//8z///8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABl
 enwdAAABAHRSTlP/////////////////////////////////////////////
 ////////////////////////////////////////////////////////////
 ////////////////////////////////////////////////////////////
 ////////////////////////////////////////////////////////////
 ////////////////////////////////////////////////////////////
 //8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAG8mZ
 agAAAAlwSFlzAAAH/wAAB/8BXW1oEQAAAIpJREFUSIm91VkOgDAIBFAO6d31
 OAaaRuwSFgf57bwEmi50BYuAgKTqANEhNRIU4PgpVQ3cQyfAuiEU6A3Nm4oB
 z5b+A8YjiAW9KoAm78FxoF2e+ZKiwWIVCgJHIwDaoHVAt1MBWly3ZDyVKcCB
 OsBR/dA7PpQw2H8kaLCLfwdWHAXCLSWAe1ttcANs0D3LFbBB8QAAAABJRU5E
 rkJggg==

## scavenger 1.4.5-0maemo2

=== debian/changelog ===
scavenger (1.4.5-0maemo2) unstable; urgency=low

  * Clean up menu options and keymaps.
  * Controls are as follows:
    - q digs left
    - w digs right
    - arrows move
    - z switches to/from demo mode (see how to win a level)
    - x exits
    - k kills (suicides) to restart level
    - shift-left goes to previous level
    - shift-right goes to next level

 -- Flandry <davidfalkayn@gmail.com>  Wed, 31 Mar 2010 02:15:45 -0400

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,23 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: loderunner
-Description: A loderunner-like platform game
- Scavenger is like Lode Runner. You've got to run around gathering objects
- while avoiding enemies. You can dig down through some of the blocks to get
- at buried objects. After you've collected everything, ladders may appear.
- To finish the level you've got to exit through the top of the screen. If
- an enemy falls into a dug brick, he is stunned for a while. If the brick
- fills in with him in it, he is killed, and he will reappear at the top of
- the screen.
+Description: A Lode Runner-like platform game
+ Scavenger is an action/puzzle game like the classic Lode Runner (1983),
+ one of the first games to include a level editor. The object is to gather
+ all the loot on a level while avoiding enemies. Your only tools are your
+ wits and a magic shovel, and you will need both to reach all the loot and
+ escape up the ladder that appears.
  .
- This version has a level editor for designing your own levels, and a
- graphics editor for drawing your own artwork.
+ If an enemy falls into a hole, she will be stunned for a while. Death 
+ comes to anyone stuck in a hole when it fills in--but life is cheap for
+ scavengers...
+ .
+ Controls: arrows, q & w (dig left & right), (p)ause, e(x)it
+ .
+ This is a port of sdlscavenger, an improvement of xscavenger by David
+ Ashley (1997). This version has a level editor and a graphics editor.
 XB-Maemo-Display-Name: Scavenger
-XSBC-Bugtracker: 
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=48543
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAADAFBMVEUAAAAA
  ADMAAGYAAJkAAMwAAP8AMwAAMzMAM2YAM5kAM8wAM/8AZgAAZjMAZmYAZpkA

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/opt/maemo/usr/

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) PREFIX=/opt/maemo/usr/ clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/icebreaker.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/scavenger PREFIX=/opt/maemo/usr
	install -d $(CURDIR)/debian/scavenger/usr/share/applications/hildon $(CURDIR)/debian/scavenger/usr/share/icons/hicolor/64x64/apps
	install -m 0644 $(CURDIR)/debian/scavenger.desktop $(CURDIR)/debian/scavenger/usr/share/applications/hildon/
	install -m 0644 $(CURDIR)/scavenger.png $(CURDIR)/debian/scavenger/usr/share/icons/hicolor/64x64/apps/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## scavenger 1.4.5-0maemo3

=== debian/changelog ===
scavenger (1.4.5-0maemo3) unstable; urgency=low

  * Shift-combinations not supported:
    - i goes to previous level
    - o goes to next level

 -- Flandry <davidfalkayn@gmail.com>  Wed, 31 Mar 2010 09:58:25 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  Controls: arrows, q & w (dig left & right), (p)ause, e(x)it
  .
  This is a port of sdlscavenger, an improvement of xscavenger by David
- Ashley (1997). This version has a level editor and a graphics editor.
+ Ashley (1997). This version has 193 levels, a level editor and a graphics
+ editor.
 XB-Maemo-Display-Name: Scavenger
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=48543
 XB-Maemo-Icon-26:
